﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Diplomová_práce
{
  public partial class ProgressWindow : Form
  {
    private BackgroundWorker bw;

    public ProgressWindow(BackgroundWorker bw)
    {
      InitializeComponent();
      this.bw = bw;
    }

    // stisknutí tlačítka Stop
    private void buttonStop_Click(object sender, EventArgs e)
    {
      if (bw.WorkerSupportsCancellation == true)
      {
        bw.CancelAsync();
      }
    }

    // aktualizace stavu progressbaru
    public void AktualizaceStavu(int i)
    {
      if (i > 100)
      {
        i = 100;
      }
      if (i == 100)
      {
        progressBarStav.Maximum = i + 1;
        progressBarStav.Value = i + 1;
        progressBarStav.Maximum = i;
        progressBarStav.Value = i;
        labelStav.Text = i + "%";
      }
      else
      {
        progressBarStav.Value = i + 1;
        progressBarStav.Value = i;
        labelStav.Text = i + "%";
      }
    }
  }
}
